org.apache.fop.render.ps

## Class PSRendererConfig.PSRendererConfigParser

- java.lang.Object
- - org.apache.fop.render.ps.PSRendererConfig.PSRendererConfigParser

All Implemented Interfaces:
  RendererConfig.RendererConfigParser

Enclosing class:
  PSRendererConfig

    public static final class PSRendererConfig.PSRendererConfigParser
    extends Object
    implements RendererConfig.RendererConfigParser

The PostScript renderer configuration data parser.

### Constructor Summary

Constructors
Constructor and Description
`PSRendererConfigParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PSRendererConfig` `build(FOUserAgent userAgent, Configuration cfg)` Builds the object that contains the renderer configuration data.
`String` `getMimeType()` The MIME type of the renderer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PSRendererConfigParser

    public PSRendererConfigParser()

### Method Detail

#### build

    public PSRendererConfig build(FOUserAgent userAgent,
                                  Configuration cfg)
                           throws FOPException

Description copied from interface: `RendererConfig.RendererConfigParser`
Builds the object that contains the renderer configuration data.

Specified by:
  `build` in interface `RendererConfig.RendererConfigParser`
Parameters:
  `userAgent` - the user agent
  `cfg` - the Avalon config object for parsing the data
Returns:
  the configuration data object
Throws:
  `FOPException` - if an error occurs while parsing the fop conf

#### getMimeType

    public String getMimeType()

Description copied from interface: `RendererConfig.RendererConfigParser`
The MIME type of the renderer.

Specified by:
  `getMimeType` in interface `RendererConfig.RendererConfigParser`
Returns:
  the mime type